aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gnome-power-manager
diff options
context:
space:
mode:
Diffstat (limited to 'testing/gnome-power-manager')
-rw-r--r--testing/gnome-power-manager/APKBUILD66
-rw-r--r--testing/gnome-power-manager/execinfo.patch26
-rw-r--r--testing/gnome-power-manager/gnome-power-manager.post-install7
-rw-r--r--testing/gnome-power-manager/gnome-power-manager.post-upgrade7
-rw-r--r--testing/gnome-power-manager/gnome-power-manager.pre-deinstall7
5 files changed, 113 insertions, 0 deletions
diff --git a/testing/gnome-power-manager/APKBUILD b/testing/gnome-power-manager/APKBUILD
new file mode 100644
index 0000000000..c4d3eb2a72
--- /dev/null
+++ b/testing/gnome-power-manager/APKBUILD
@@ -0,0 +1,66 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=gnome-power-manager
+pkgver=2.32.0
+pkgrel=0
+pkgdesc="GNOME power manager"
+url="http://www.gnome.org"
+arch="all"
+license="GPL"
+depends=
+depends_dev="gtk+-dev
+ gconf-dev
+ libx11-dev
+ gnome-doc-utils
+ libgnome-dev
+ libwnck-dev
+ libnotify-dev
+ libunique-dev
+
+ upower-dev
+ libgnome-keyring-dev
+
+ libxcursor-dev
+ libxcomposite-dev
+ libxi-dev
+ libxau-dev
+ libxdmcp-dev
+ libxext-dev
+ libxcb-dev
+ libxrender-dev
+ libxrandr-dev"
+makedepends="$depends_dev intltool gobject-introspection"
+install="$pkgname.post-install $pkgname.pre-deinstall $pkgname.post-upgrade"
+subpackages=
+source="ftp://ftp.gnome.org/pub/GNOME/sources/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
+ execinfo.patch"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-applets \
+ --disable-scrollkeeper || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+
+ export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="9a08e85dce3ffb90775f15e3bda4adda gnome-power-manager-2.32.0.tar.bz2
+f7500645244232328869d303cc6860aa execinfo.patch"
diff --git a/testing/gnome-power-manager/execinfo.patch b/testing/gnome-power-manager/execinfo.patch
new file mode 100644
index 0000000000..c9def1be10
--- /dev/null
+++ b/testing/gnome-power-manager/execinfo.patch
@@ -0,0 +1,26 @@
+--- gnome-power-manager-2.32.0.orig/src/egg-debug.c
++++ gnome-power-manager-2.32.0/src/egg-debug.c
+@@ -39,7 +39,6 @@
+ #include <sys/stat.h>
+ #include <fcntl.h>
+ #include <time.h>
+-#include <execinfo.h>
+
+ #include "egg-debug.h"
+
+@@ -78,6 +77,7 @@
+ void
+ egg_debug_backtrace (void)
+ {
++#if 0
+ void *call_stack[512];
+ int call_stack_size;
+ char **symbols;
+@@ -95,6 +95,7 @@
+ pk_set_console_mode (CONSOLE_RESET);
+ free (symbols);
+ }
++#endif
+ }
+
+ /**
diff --git a/testing/gnome-power-manager/gnome-power-manager.post-install b/testing/gnome-power-manager/gnome-power-manager.post-install
new file mode 100644
index 0000000000..8d6b50a50e
--- /dev/null
+++ b/testing/gnome-power-manager/gnome-power-manager.post-install
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+for i in gnome-power-manager.schemas; do
+ echo "Installing GConf2 schema $i."
+ GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` \
+ /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/$i >/dev/null
+done
diff --git a/testing/gnome-power-manager/gnome-power-manager.post-upgrade b/testing/gnome-power-manager/gnome-power-manager.post-upgrade
new file mode 100644
index 0000000000..8d6b50a50e
--- /dev/null
+++ b/testing/gnome-power-manager/gnome-power-manager.post-upgrade
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+for i in gnome-power-manager.schemas; do
+ echo "Installing GConf2 schema $i."
+ GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` \
+ /usr/bin/gconftool-2 --makefile-install-rule /etc/gconf/schemas/$i >/dev/null
+done
diff --git a/testing/gnome-power-manager/gnome-power-manager.pre-deinstall b/testing/gnome-power-manager/gnome-power-manager.pre-deinstall
new file mode 100644
index 0000000000..ed1e2c420a
--- /dev/null
+++ b/testing/gnome-power-manager/gnome-power-manager.pre-deinstall
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+for i in gnome-power-manager.schemas; do
+ echo "Uninstalling GConf2 schema $i."
+ GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` \
+ /usr/bin/gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/$i >/dev/null
+done